<!doctype html>
<html lang="cs">
  <head>
    <meta charset="utf-8">
    <title><?= $html_title ?></title>

    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="<?= WEB_HTML_BASE_TITLE ?> je systém pro správu bezpečnostních incidentů určený pro bezpečnostní tým WIRT na ZČU.">
    <meta name="author" content="Martin Šebela">

    <link href="/<?= CORE_DIR_EXTENSIONS ?>/bootstrap-5.0.0/bootstrap.min.css" rel="stylesheet">
    <link href="/style.css" rel="stylesheet">
  </head>

  <body>
    <header class="navbar navbar-dark sticky-top bg-dark flex-column flex-md-row flex-md-nowrap p-0 shadow">
      <a href="/portal/" class="navbar-brand col-16 col-md-4 col-lg-3 col-xl-2 me-0 px-3">
        <span data-feather="lock"></span>
        <h1 class="d-inline fs-6"><?= WEB_HTML_BASE_TITLE ?> <small>v<?= WEB_VERSION ?></small></h1>
      </a>

      <button class="navbar-toggler position-absolute d-md-none collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#menu" aria-controls="menu" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="navbar-nav-scroll text-light d-none d-md-block ms-4">
        <ul class="navbar-nav bd-navbar-nav flex-row">
          <li class="nav-item">
            Systém pro správu bezpečnostních incidentů
          </li>
        </ul>
      </div>

      <ul class="navbar-nav bd-navbar-nav flex-row px-3 ms-md-auto">
        <li class="nav-item">
          <a href="/portal/" class="nav-link text-white">
            <span data-feather="user"></span>
            <?= $_SESSION['user']['username'] ?>
          </a>
        </li>
        <li class="nav-item ms-4">
          <a href="/?logout" class="nav-link text-white">
            <span data-feather="log-out"></span>
            Odhlásit
          </a>
        </li>
      </ul>
    </header>

    <div class="container-fluid">
      <div class="row">
        <nav id="menu" class="col-md-4 col-lg-3 col-xl-2 d-md-block bg-light sidebar collapse">
          <div class="position-sticky">
            <ul class="nav flex-column">
              <?php
                foreach ($menu as $name => $section):
                  $isActive = ((isset($_GET['section']) && $_GET['section'] == $section['url']) || (!isset($_GET['section']) && empty($section['url'])));
              ?>
              <li class="nav-item">
                <a href="/portal/<?= ($section['url']) ? $section['url'] : ''; ?>" class="nav-link<?php if ($isActive) echo ' active'; ?>"<?php if ($isActive) echo ' aria-current="page"'; ?>>
                  <span data-feather="<?= $section['icon'] ?>"></span>
                  <?= $name ?>
                </a>
              </li>
              <?php endforeach; ?>
            </ul>
          </div>
        </nav>

        <main class="col-md-12 col-lg-13 col-xl-14 ms-sm-auto px-md-4">
          <?php $this->controller->displayHeader(); ?>

          <?php foreach ($messages as $message): ?>
          <div class="alert alert-<?= $message['type'] ?>" role="alert">
            <?= $message['message'] ?>
          </div>
          <?php endforeach; ?>

          <?php $this->controller->displayView(); ?>
        </main>
      </div>
    </div>

    <script src="/<?= CORE_DIR_EXTENSIONS ?>/bootstrap-5.0.0/bootstrap.bundle.min.js"></script>
    <script src="/<?= CORE_DIR_EXTENSIONS ?>/feather.min.js"></script>

    <script>feather.replace();</script>

    <footer class="footer p-1 text-light bg-dark">
      <small>&copy;&nbsp;MŠ (msebela), 2021</small>
    </footer>
  </body>
</html>